
GammaLib - Action #1859

Rename GFitsHDU::size() method to GFitsHDU::cards()

10/03/2016 10:50 AM - Knödlseder Jürgen

Status: Closed Start date: 10/03/2016

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.3.0   

Description

The meaning of the GFitsHDU::size() is ambiguous, in particular since the GFitsTable and GFitsImage classes derive from

GFitsHDU, where size() would be associated with a different meaning (i.e. number of rows, number of pixels in image). To avoid the

ambiguity, the GFitsHDU::size() method should be renamed to GFitsHDU::cards().

Related issues:

Related to ctools - Bug # 1831: csiactcopy mistakes FITS columns and rows Closed 08/01/2016

History

#1 - 10/03/2016 10:50 AM - Knödlseder Jürgen

- Related to Bug #1831: csiactcopy mistakes FITS columns and rows added

#2 - 03/03/2017 10:27 AM - Knödlseder Jürgen

- Target version changed from 1.2.0 to 1.3.0

#3 - 06/06/2017 04:21 PM - Knödlseder Jürgen

- Target version deleted (1.3.0)

#4 - 06/06/2017 09:02 PM - Knödlseder Jürgen

- Assigned To set to Knödlseder Jürgen

- Target version set to 1.3.0

#5 - 06/06/2017 10:24 PM - Knödlseder Jürgen

- Status changed from New to Closed

- % Done changed from 0 to 100

Done and merged into devel.
